package com.ruoyi.basetyre.mapper;

import com.ruoyi.basetyre.domain.BaseCarQueue;

import java.util.List;

/**
 * 车队信息管理Mapper接口
 * 
 * @author Yangwl
 * @date 2023-02-08
 */
public interface BaseCarQueueMapper 
{
    /**
     * 查询车队信息管理
     * 
     * @param id 车队信息管理主键
     * @return 车队信息管理
     */
    public BaseCarQueue selectBaseCarQueueById(String id);

    /**
     * 查询车队信息管理列表
     * 
     * @param baseCarQueue 车队信息管理
     * @return 车队信息管理集合
     */
    public List<BaseCarQueue> selectBaseCarQueueList(BaseCarQueue baseCarQueue);

    /**
     * 新增车队信息管理
     * 
     * @param baseCarQueue 车队信息管理
     * @return 结果
     */
    public int insertBaseCarQueue(BaseCarQueue baseCarQueue);

    /**
     * 修改车队信息管理
     * 
     * @param baseCarQueue 车队信息管理
     * @return 结果
     */
    public int updateBaseCarQueue(BaseCarQueue baseCarQueue);

    /**
     * 删除车队信息管理
     * 
     * @param id 车队信息管理主键
     * @return 结果
     */
    public int deleteBaseCarQueueById(String id);

    /**
     * 批量删除车队信息管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBaseCarQueueByIds(String[] ids);
}
